%define		srcname stsci.distutils
%define		with_python3 1

Name:           python-stsci-distutils
Version:        0.3.7
Release:        1%{?dist}
Summary:        distutils/packaging-related utilities used by some of STScI's packages

License:        BSD
URL:            https://pypi.python.org/pypi/stsci.distutils/
Source0:        https://pypi.python.org/packages/source/s/stsci.distutils/stsci.distutils-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
Requires:       python-setuptools
Requires:       python-d2to1
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-d2to1
Requires:       python3-setuptools
Requires:       python3-d2to1
%endif # if with_python3

%description
This package contains utilities used to package some of STScI's Python
projects; specifically those projects that comprise stsci_python 
and Astrolib. It currently consists mostly of some setup_hook scripts
meant for use with distutils2/packaging and/or d2to1, and a customized
easy_install command meant for use with distribute.

%if 0%{?with_python3}
%package -n python3-stsci-distutils
Summary: distutils/packaging-related utilities used by some of STScI's packages

%description -n python3-stsci-distutils
This package contains utilities used to package some of STScI's Python
projects; specifically those projects that comprise stsci_python 
and Astrolib. It currently consists mostly of some setup_hook scripts
meant for use with distutils2/packaging and/or d2to1, and a customized
easy_install command meant for use with distribute
%endif # with_python3

%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc CHANGES.txt LICENSE.txt README.txt
# For noarch packages: sitelib
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-stsci-distutils
%doc CHANGES.txt LICENSE.txt README.txt
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Mon Jan 05 2015 Christian Dersch <chrisdersch@gmail.com> 0.3.7-1
- initial build
